.algolia_hit-layout {
  transition: background-image 0.3s ease-in-out;
}

.ais-InfiniteHits-list {
  display: contents;
  gap: 24px;
}

.ais-InfiniteHits {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.ais-InfiniteHits-item {
  padding-top: 0;
  padding-bottom: 0;
  border-bottom: none;
}

/*.force-height100 {
  height: 100% !important;
  min-height: 100% !important;
}*/

#hitsRessources .ais-InfiniteHits-list,
#societesHits .ais-InfiniteHits-list,
#gerantsHits .ais-InfiniteHits-list {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

#hitsRessources_full .ais-InfiniteHits-item,
#societesHits_full .ais-InfiniteHits-item,
#hitsWebinars_full .ais-InfiniteHits-item,
#gerantsHits_full .ais-InfiniteHits-item,
#hitsRessources .ais-InfiniteHits-item,
#societesHits .ais-InfiniteHits-item,
#hitsWebinars .ais-InfiniteHits-item,
#gerantsHits .ais-InfiniteHits-item {
  padding-top: 0px;
  padding-bottom: 0px;
}

#hitsRessources .ais-InfiniteHits-item,
#hitsRessources_full .ais-InfiniteHits-item,
#societesHits .ais-InfiniteHits-item,
#societesHits_full .ais-InfiniteHits-item,
#hitsWebinars .ais-InfiniteHits-item,
#hitsWebinars_full .ais-InfiniteHits-item,
#gerantsHits .ais-InfiniteHits-item,
#gerantsHits_full .ais-InfiniteHits-item {
  padding-top: 0px;
  padding-bottom: 0px;
}

#videoHits .ais-InfiniteHits-list,
#videoHits_full .ais-InfiniteHits-list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 16px;
}

@media (max-width: 768px) {
  #videoHits .ais-InfiniteHits-list,
  #videoHits_full .ais-InfiniteHits-list {
    display: flex;
    flex-direction: column;
    gap: 24px;
  }
}

.inlineflex-spacebet-bot {
  text-decoration: none;
  display: flex;
  justify-content: space-between;
  gap: 2rem;
}

.link-block {
  color: inherit !important;
  font-style: normal !important;
  text-decoration: none !important;
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.clamp-3lines {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: normal;
}

.custom-button.load-more-button {
  display: none;
}

/* Styles pour la barre de recherche */
.custom-searchbox {
  position: relative;
}

.custom-searchbox::before {
  content: "";
  position: absolute;
  left: 10px;
  top: 50%;
  transform: translateY(-50%);
  width: 24px;
  height: 24px;
  pointer-events: none;
  background: url("https://cdn.prod.website-files.com/66f52ce7fc204ec2fb9cba5f/6797912940582272cf178ce3_search-refraction.svg")
    no-repeat center;
}

.ais-SearchBox-form {
  display: flex;
  flex-direction: row;
  font-weight: 400;
  height: 56px;
  border: 1px solid #d7e0df;
  border-radius: 8px;
  padding: 0 16px 0 40px;
  gap: 8px;
  font-size: 16px;
  color: #6d7978;
  width: 100%;
  font-style: normal;
  box-sizing: border-box;
  align-items: center;
}

.ais-SearchBox-input {
  width: 100%;
  border: none;
  height: auto;
  background-color: transparent;
}

.ais-SearchBox-input:focus {
  outline: none;
  box-shadow: none;
}

.custom-searchbox .ais-SearchBox-reset {
  padding: 0 16px;
  background-color: transparent;
  cursor: pointer;
  height: 40px;
}

.custom-searchbox .ais-SearchBox-reset::before {}

.custom-searchbox .ais-SearchBox-reset svg {
  display: flex;
}

.fixed {
  position: fixed;
}
.inset-0 {
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}
.z-50 {
  z-index: 50;
}
.flex {
  display: flex;
}
.items-center {
  align-items: center;
}
.justify-center {
  justify-content: center;
}
.text-center {
  text-align: center;
}
.mb-4 {
  margin-bottom: 1rem;
}
.mx-auto {
  margin-left: auto;
  margin-right: auto;
}
.w-16 {
  width: 4rem;
}
.h-16 {
  height: 4rem;
}
.border-4 {
  border-width: 4px;
}
.border-primary500 {
  border-color: #093737;
}
.border-t-transparent {
  border-top-color: transparent;
}
.rounded-full {
  border-radius: 9999px;
}
.text-primary800 {
  color: #093737;
}
@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}
.animate-spin {
  animation: spin 1s linear infinite;
}

.hidden {
  display: none;
}

.algolia_container em {
  background-color: #a3f1eb;
  color: #093737;
  font-style: normal;
}

mark {
  background-color: #a3f1eb;
  color: #093737;
  font-style: normal;
}

.custom-submit {
  border: 1px solid #9dafaf;
  border-radius: 9999px;
  color: #093737;
  font-size: 14px;
  font-weight: bold;
  padding: 0 16px;
  background-color: transparent;
  cursor: pointer;
  height: 40px;
  transition:
    border 200ms ease,
    color 200ms ease; /* Ajoute une transition en douceur */
}

.custom-submit:hover {
  border: 1px solid #289090;
  color: #289090;
}

.custom-submit::before {
  content: "Rechercher";
}

.custom-submit svg {
  display: none;
}